org.keycloak.representations.idm

## Class OAuthClientRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.ClientRepresentation
  - - org.keycloak.representations.idm.ApplicationRepresentation
    - - org.keycloak.representations.idm.OAuthClientRepresentation

- Deprecated.

      @Deprecated
      public class OAuthClientRepresentation
      extends ApplicationRepresentation

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.representations.idm.ApplicationRepresentation

      `claims, name`

    - ### Fields inherited from class org.keycloak.representations.idm.ClientRepresentation

      `adminUrl, attributes, authorizationServicesEnabled, baseUrl, bearerOnly, clientAuthenticatorType, clientId, clientTemplate, consentRequired, defaultRoles, description, directAccessGrantsEnabled, directGrantsOnly, enabled, frontchannelLogout, fullScopeAllowed, id, implicitFlowEnabled, nodeReRegistrationTimeout, notBefore, protocol, protocolMappers, publicClient, redirectUris, registeredNodes, registrationAccessToken, rootUrl, secret, serviceAccountsEnabled, standardFlowEnabled, surrogateAuthRequired, webOrigins`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthClientRepresentation()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.keycloak.representations.idm.ApplicationRepresentation

      `getClaims, getName, setClaims, setName`

    - ### Methods inherited from class org.keycloak.representations.idm.ClientRepresentation

      `getAdminUrl, getAttributes, getAuthorizationServicesEnabled, getBaseUrl, getClientAuthenticatorType, getClientId, getClientTemplate, getDefaultRoles, getDescription, getId, getNodeReRegistrationTimeout, getNotBefore, getProtocol, getProtocolMappers, getRedirectUris, getRegisteredNodes, getRegistrationAccessToken, getRootUrl, getSecret, getWebOrigins, isBearerOnly, isConsentRequired, isDirectAccessGrantsEnabled, isDirectGrantsOnly, isEnabled, isFrontchannelLogout, isFullScopeAllowed, isImplicitFlowEnabled, isPublicClient, isServiceAccountsEnabled, isStandardFlowEnabled, isSurrogateAuthRequired, isUseTemplateConfig, isUseTemplateMappers, isUseTemplateScope, setAdminUrl, setAttributes, setAuthorizationServicesEnabled, setBaseUrl, setBearerOnly, setClientAuthenticatorType, setClientId, setClientTemplate, setConsentRequired, setDefaultRoles, setDescription, setDirectAccessGrantsEnabled, setDirectGrantsOnly, setEnabled, setFrontchannelLogout, setFullScopeAllowed, setId, setImplicitFlowEnabled, setNodeReRegistrationTimeout, setNotBefore, setProtocol, setProtocolMappers, setPublicClient, setRedirectUris, setRegisteredNodes, setRegistrationAccessToken, setRootUrl, setSecret, setServiceAccountsEnabled, setStandardFlowEnabled, setSurrogateAuthRequired, setUseTemplateConfig, setUseTemplateMappers, setUseTemplateScope, setWebOrigins`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OAuthClientRepresentation

          public OAuthClientRepresentation()

      Deprecated.

Copyright © 2016 JBoss by Red Hat. All rights reserved.